## net.sf.saxon.functions
Class URIQueryParameters.RegexFilter

    java.lang.Object
      net.sf.saxon.functions.URIQueryParameters.RegexFilter

All Implemented Interfaces:
  FilenameFilter

Enclosing class:
  URIQueryParameters

    public static class URIQueryParameters.RegexFilter

extends Object
implements FilenameFilter

Constructor Summary
`URIQueryParameters.RegexFilter(Pattern regex)`

Method Summary
`boolean` `accept(File dir, String name)` Tests if a specified file should be included in a file list.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URIQueryParameters.RegexFilter

    public URIQueryParameters.RegexFilter(Pattern regex)

Method Detail

### accept

    public boolean accept(File dir,
                          String name)

  Tests if a specified file should be included in a file list.

  Specified by:
    `accept` in interface `FilenameFilter`
  Parameters:
    `dir` - the directory in which the file was found.
    `name` - the name of the file.
  Returns:
    `true` if and only if the name should be included in the file list; `false` otherwise.

Copyright (C) Michael H. Kay. All rights reserved.